CREATE SEQUENCE turnlog_seq;
CREATE TABLE turnlog (
    turn_id integer PRIMARY KEY DEFAULT nextval('turnlog_seq'),
    turn_time integer NOT NULL DEFAULT 0,
    turn_ticks integer NOT NULL DEFAULT 0,
    turn_interval integer NOT NULL DEFAULT 0,
    turn_type smallint NOT NULL DEFAULT 0,
    turn_text text NOT NULL DEFAULT ''
);
CREATE INDEX turnlog_turn_type ON turnlog (turn_type);

INSERT INTO var (v_name, v_value) VALUES ('turns_next', 0);
INSERT INTO var (v_name, v_value) VALUES ('turns_next_hourly', 0);
INSERT INTO var (v_name, v_value) VALUES ('turns_next_daily', 0);
